#!/bin/sh

# 复制项目的文件到对应docker路径，便于一键生成镜像。
usage() {
	echo "Usage: sh copy.sh"
	exit 1
}


# copy sql
echo "begin copy sql "
cp ../sql/ry_20231130.sql ./mysql/db
cp ../sql/ry_config_20231204.sql ./mysql/db

# copy html
echo "begin copy html "
cp -r ../etl-ui/dist/** ./nginx/html/dist


# copy jar
echo "begin copy etl-gateway "
cp ../etl-gateway/target/etl-gateway.jar ./ruoyi/gateway/jar

echo "begin copy etl-auth "
cp ../etl-auth/target/etl-auth.jar ./ruoyi/auth/jar

echo "begin copy etl-visual "
cp ../etl-visual/etl-monitor/target/etl-visual-monitor.jar  ./ruoyi/visual/monitor/jar

echo "begin copy etl-modules-system "
cp ../etl-modules/etl-system/target/etl-modules-system.jar ./ruoyi/modules/system/jar

echo "begin copy etl-modules-file "
cp ../etl-modules/etl-file/target/etl-modules-file.jar ./ruoyi/modules/file/jar

echo "begin copy etl-modules-job "
cp ../etl-modules/etl-job/target/etl-modules-job.jar ./ruoyi/modules/job/jar

echo "begin copy etl-modules-gen "
cp ../etl-modules/etl-gen/target/etl-modules-gen.jar ./ruoyi/modules/gen/jar

